AntiEntropyService.TreeRequestVerbHandler (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.service
Class AntiEntropyService.TreeRequestVerbHandler

    java.lang.Object
      org.apache.cassandra.service.AntiEntropyService.TreeRequestVerbHandler

All Implemented Interfaces:
  IVerbHandler

Enclosing class:
  AntiEntropyService

    public static class AntiEntropyService.TreeRequestVerbHandler

extends java.lang.Object
implements IVerbHandler

Handler for requests from remote nodes to generate a valid tree. The payload is a CFPair representing the columnfamily to validate.

Field Summary
`static AntiEntropyService.TreeRequestVerbHandler` | `SERIALIZER`

Constructor Summary
`AntiEntropyService.TreeRequestVerbHandler()`

Method Summary
`AntiEntropyService.TreeRequest` | `deserialize(java.io.DataInput dis, int version)`
`void` | `doVerb(Message message, java.lang.String id)` Trigger a validation compaction which will return the tree upon completion.
`void` | `serialize(AntiEntropyService.TreeRequest request, java.io.DataOutput dos, int version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERIALIZER

    public static final AntiEntropyService.TreeRequestVerbHandler SERIALIZER

Constructor Detail

### AntiEntropyService.TreeRequestVerbHandler

    public AntiEntropyService.TreeRequestVerbHandler()

Method Detail

### serialize

    public void serialize(AntiEntropyService.TreeRequest request,
                          java.io.DataOutput dos,
                          int version)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### deserialize

    public AntiEntropyService.TreeRequest deserialize(java.io.DataInput dis,
                                                      int version)
                                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### doVerb

    public void doVerb(Message message,
                       java.lang.String id)

  Trigger a validation compaction which will return the tree upon completion.

  Specified by:
    `doVerb` in interface `IVerbHandler`
  Parameters:
    `message` - - incoming message that needs handling.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation